FreeMat

- Main Page
- Related Pages

vtkTensor

Section: Visualization Toolkit Common Classes

# Usage

vtkTensor is a floating point representation of an nxn tensor. vtkTensor provides methods for assignment and reference of tensor components. It does it in such a way as to minimize data copying.

To create an instance of class vtkTensor, simply invoke its constructor as follows

      obj = vtkTensor

# Methods

The class vtkTensor has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTensor class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTensor = obj.NewInstance ()`
- `vtkTensor = obj.SafeDownCast (vtkObject o)`
- `obj.Initialize ()` - Initialize tensor components to 0.0.
- `double = obj.GetComponent (int i, int j)` - Get the tensor component (i,j).
- `obj.SetComponent (int i, int j, double v)` - Set the value of the tensor component (i,j).
- `obj.AddComponent (int i, int j, double v)` - Add to the value of the tensor component at location (i,j).
- `obj.DeepCopy (vtkTensor t)` - Deep copy of one tensor to another tensor.